Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.PrintParams Class Reference

## Public Member Functions
| PrintParams ()
| Constructor.
| PrintParams (PrintParams print_params)
| Constructor, with another print parameters object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getBinding ()
| Get the value determines the paper binding direction and the page arrange order. More...
int | getBooklet_duplex_mode ()
| Get the value determines the duplex printing mode when printing a booklet. More...
int | getDuplex_type ()
| Get sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. More...
int | getHandling ()
| Get the print handling type. More...
boolean | getIs_print_as_image ()
| Get true means that pages should be printed as image. More...
boolean | getIs_print_auto_center ()
| Get true means that each page is automatically centered relative to the paper. More...
boolean | getIs_print_auto_rotate ()
| Get true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. More...
boolean | getIs_print_page_border ()
| Get a boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing. More...
boolean | getIs_reverse ()
| Get true means that the printing order should be from parameter end to parameter start. More...
boolean | getIs_show_ui ()
| Get true means that a UI should be presented to the user to obtain printing information and confirm the action. More...
boolean | getIs_simulate_overprinting ()
| Get true means to do overprint preview when printing. More...
boolean | getIs_tile_label ()
| Get label each page of tiled output. More...
int | getNum_copies ()
| Get the number of copies to be printed. More...
int | getNum_pages_h ()
| Get the number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet. More...
int | getNum_pages_v ()
| Get the number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet. More...
String | getOutput_file_name ()
| Get the device-independent path for a file name to be used instead of sending the print job to the printer (Print to File). More...
int | getPage_order ()
| Get the value determines how the multiple pages are laid out on the sheet. More...
Range | getPage_range ()
| Get a range object to specify the page range for printing. More...
int | getPrint_content ()
| Get specif content for printing. More...
String | getPrinter_name ()
| Get the default printer name for printing. More...
boolean | getTile_mark ()
| Get true means to cut the page, and false means not. More...
float | getTile_overlap ()
| Get the number of points that tiled pages have in common. More...
float | getTile_scale ()
| Get the amount that tiled pages are scaled. More...
void | setBinding (int value)
| Set the value determines the paper binding direction and the page arrange order. More...
void | setBooklet_duplex_mode (int value)
| Set the value determines the duplex printing mode when printing a booklet. More...
void | setDuplex_type (int value)
| Set sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. More...
void | setHandling (int value)
| Set the print handling type. More...
void | setIs_print_as_image (boolean value)
| Set true means that pages should be printed as image. More...
void | setIs_print_auto_center (boolean value)
| Set true means that each page is automatically centered relative to the paper. More...
void | setIs_print_auto_rotate (boolean value)
| Set true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. More...
void | setIs_print_page_border (boolean value)
| Set a boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing. More...
void | setIs_reverse (boolean value)
| Set true means that the printing order should be from parameter end to parameter start. More...
void | setIs_show_ui (boolean value)
| Set true means that a UI should be presented to the user to obtain printing information and confirm the action. More...
void | setIs_simulate_overprinting (boolean value)
| Set true means to do overprint preview when printing. More...
void | setIs_tile_label (boolean value)
| Set label each page of tiled output. More...
void | setNum_copies (int value)
| Set the number of copies to be printed. More...
void | setNum_pages_h (int value)
| Set the number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet. More...
void | setNum_pages_v (int value)
| Set the number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet. More...
void | setOutput_file_name (String value)
| Set the device-independent path for a file name to be used instead of sending the print job to the printer (Print to File). More...
void | setPage_order (int value)
| Set the value determines how the multiple pages are laid out on the sheet. More...
void | setPage_range (Range value)
| Set a range object to specify the page range for printing. More...
void | setPrint_content (int value)
| Set specif content for printing. More...
void | setPrinter_name (String value)
| Set the default printer name for printing. More...
void | setTile_mark (boolean value)
| Set true means to cut the page, and false means not. More...
void | setTile_overlap (float value)
| Set the number of points that tiled pages have in common. More...
void | setTile_scale (float value)
| Set the amount that tiled pages are scaled. More...

## Static Public Attributes
static final int | e_BookletBindingLeft = 1
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the short side.
static final int | e_BookletBindingLeftTall = 2
| Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the long side producing long and narrow pages.
static final int | e_BookletBindingRight = 0
| Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the short side.
static final int | e_BookletBindingRightTall = 3
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the long side producing long and narrow pages.
static final int | e_BookletDuplexModeBackSideOnly = 2
| Booklet Duplex Mode: only prints all pages that appear on the back side of the paper.
static final int | e_BookletDuplexModeBothSides = 0
| Booklet Duplex Mode: automatically prints both sides of the paper.
static final int | e_BookletDuplexModeFrontSideOnly = 1
| Booklet Duplex Mode: only prints all pages that appear on the front side of the paper.
static final int | e_DuplexTypeDuplexFlipLongEdge = 1
| Duplex type: prints on both sides of the paper; the paper flips along the long edge.
static final int | e_DuplexTypeDuplexFlipShortEdge = 2
| Duplex type: prints on both sides of the paper; the paper flips along the short edge.
static final int | e_DuplexTypeSimplex = 0
| Duplex type: prints on one side of the paper.
static final int | e_PageOrderHorizontal = 0
| Page Order type: pages are placed from left to right, from top to bottom.
static final int | e_PageOrderHorizontalReversed = 1
| Page Order type: pages are placed from right to left, from top to bottom.
static final int | e_PageOrderVertical = 2
| Page Order type: pages are placed from top to bottom, from left to right.
static final int | e_PrintContentDocAndAnnots = 1
| Print Content: print the document contents and comments.
static final int | e_PrintContentDocument = 0
| Print Content: print the document contents, not comments.
static final int | e_PrintContentFormFieldsOnly = 2
| Print Content: print the contents of form fields only. Useful for printing onto pre-preprinted forms.
static final int | e_PrintHandlingBooklet = 5
| Print Handling: Prints multiple pages on the same sheet of paper in the order required to read correctly when folded.
static final int | e_PrintHandlingFitPaper = 1
| Print Handling: Pages are enlarged or shrunk to fit the printe's paper.
static final int | e_PrintHandlingMultiplePages = 3
| Print Handling: Pages are rescaled to print multiple pages on each printer page.
static final int | e_PrintHandlingNone = 0
| Print Handling: No page scaling is applied.
static final int | e_PrintHandlingReducePaper = 2
| Print Handling: Small pages are printed small, and large pages are shrunk to fit on the printer's paper.
static final int | e_PrintHandlingTileLargePages = 4
| Print Handling: Small or normal pages are printed in the original size and large pages are printed on multiple sheets of paper.

## Detailed Description

This class represents print parameters.

## Constructor & Destructor Documentation

## ◆ PrintParams()

com.foxit.sdk.PrintParams.PrintParams | ( | PrintParams | print_params | ) |

Constructor, with another print parameters object.

Parameters

  [in] | print_params | Another print parameters object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.PrintParams.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getBinding()

com.foxit.sdk.PrintParams.getBinding | ( |  | ) |

Get the value determines the paper binding direction and the page arrange order.

Returns
  The value determines the paper binding direction and the page arrange order. Please refer to values starting from com.foxit.sdk.PrintParams.e_BookletBindingRight and this should be one of these values.

## ◆ getBooklet_duplex_mode()

com.foxit.sdk.PrintParams.getBooklet_duplex_mode | ( |  | ) |

Get the value determines the duplex printing mode when printing a booklet.

Returns
  The value determines the duplex printing mode when printing a booklet.Please refer to values starting from com.foxit.sdk.PrintParams.e_BookletDuplexModeBothSides and this should be one of these values.

## ◆ getDuplex_type()

com.foxit.sdk.PrintParams.getDuplex_type | ( |  | ) |

Get sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed.

Returns
  Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from com.foxit.sdk.PrintParams.e_DuplexTypeSimplex and this should be one of these values.

## ◆ getHandling()

com.foxit.sdk.PrintParams.getHandling | ( |  | ) |

Get the print handling type.

Returns
  The print handling type.Please refer to values starting from com.foxit.sdk.PrintParams.e_PrintHandlingNone and this should be one of these values.

## ◆ getIs_print_as_image()

com.foxit.sdk.PrintParams.getIs_print_as_image | ( |  | ) |

Get true means that pages should be printed as image.

Returns
  true means that pages should be printed as image.

## ◆ getIs_print_auto_center()

com.foxit.sdk.PrintParams.getIs_print_auto_center | ( |  | ) |

Get true means that each page is automatically centered relative to the paper.

Returns
  true means that each page is automatically centered relative to the paper.

## ◆ getIs_print_auto_rotate()

com.foxit.sdk.PrintParams.getIs_print_auto_rotate | ( |  | ) |

Get true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing.

Returns
  true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. false means not.

## ◆ getIs_print_page_border()

com.foxit.sdk.PrintParams.getIs_print_page_border | ( |  | ) |

Get a boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.

Returns
  A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.

## ◆ getIs_reverse()

com.foxit.sdk.PrintParams.getIs_reverse | ( |  | ) |

Get true means that the printing order should be from parameter end to parameter start.

Returns
  true means that the printing order should be from parameter end to parameter start.

## ◆ getIs_show_ui()

com.foxit.sdk.PrintParams.getIs_show_ui | ( |  | ) |

Get true means that a UI should be presented to the user to obtain printing information and confirm the action.

Returns
  true means that a UI should be presented to the user to obtain printing information and confirm the action.

## ◆ getIs_simulate_overprinting()

com.foxit.sdk.PrintParams.getIs_simulate_overprinting | ( |  | ) |

Get true means to do overprint preview when printing.

Returns
  true means to do overprint preview when printing. false means not.

## ◆ getIs_tile_label()

com.foxit.sdk.PrintParams.getIs_tile_label | ( |  | ) |

Get label each page of tiled output.

Returns
  Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.

## ◆ getNum_copies()

com.foxit.sdk.PrintParams.getNum_copies | ( |  | ) |

Get the number of copies to be printed.

Returns
  The number of copies to be printed.

## ◆ getNum_pages_h()

com.foxit.sdk.PrintParams.getNum_pages_h | ( |  | ) |

Get the number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.

Returns
  The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.

## ◆ getNum_pages_v()

com.foxit.sdk.PrintParams.getNum_pages_v | ( |  | ) |

Get the number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.

Returns
  The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.

## ◆ getOutput_file_name()

com.foxit.sdk.PrintParams.getOutput_file_name | ( |  | ) |

Get the device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).

Returns
  The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).

## ◆ getPage_order()

com.foxit.sdk.PrintParams.getPage_order | ( |  | ) |

Get the value determines how the multiple pages are laid out on the sheet.

Returns
  The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from com.foxit.sdk.PrintParams.e_PageOrderHorizontal and this should be one of these values.

## ◆ getPage_range()

com.foxit.sdk.PrintParams.getPage_range | ( |  | ) |

Get a range object to specify the page range for printing.

Returns
  A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.

## ◆ getPrint_content()

com.foxit.sdk.PrintParams.getPrint_content | ( |  | ) |

Get specif content for printing.

Returns
  Specif content for printing. Please refer to values starting from com.foxit.sdk.PrintParams.e_PrintContentDocument and this should be one of these values.

## ◆ getPrinter_name()

com.foxit.sdk.PrintParams.getPrinter_name | ( |  | ) |

Get the default printer name for printing.

Returns
  The default printer name for printing.

## ◆ getTile_mark()

com.foxit.sdk.PrintParams.getTile_mark | ( |  | ) |

Get true means to cut the page, and false means not.

Returns
  true means to cut the page, and false means not.

## ◆ getTile_overlap()

com.foxit.sdk.PrintParams.getTile_overlap | ( |  | ) |

Get the number of points that tiled pages have in common.

Returns
  The number of points that tiled pages have in common.

## ◆ getTile_scale()

com.foxit.sdk.PrintParams.getTile_scale | ( |  | ) |

Get the amount that tiled pages are scaled.

Returns
  The amount that tiled pages are scaled.

## ◆ setBinding()

com.foxit.sdk.PrintParams.setBinding | ( | int | value | ) |

Set the value determines the paper binding direction and the page arrange order.

Parameters

  [in] | value | The value determines the paper binding direction and the page arrange order. Please refer to values starting from com.foxit.sdk.PrintParams.e_BookletBindingRight and this should be one of these values.

Returns
  None.

## ◆ setBooklet_duplex_mode()

com.foxit.sdk.PrintParams.setBooklet_duplex_mode | ( | int | value | ) |

Set the value determines the duplex printing mode when printing a booklet.

Parameters

  [in] | value | The value determines the duplex printing mode when printing a booklet.Please refer to values starting from com.foxit.sdk.PrintParams.e_BookletDuplexModeBothSides and this should be one of these values.

Returns
  None.

## ◆ setDuplex_type()

com.foxit.sdk.PrintParams.setDuplex_type | ( | int | value | ) |

Set sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed.

Parameters

  [in] | value | Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from com.foxit.sdk.PrintParams.e_DuplexTypeSimplex and this should be one of these values.

Returns
  None.

## ◆ setHandling()

com.foxit.sdk.PrintParams.setHandling | ( | int | value | ) |

Set the print handling type.

Parameters

  [in] | value | The print handling type.Please refer to values starting from com.foxit.sdk.PrintParams.e_PrintHandlingNone and this should be one of these values.

Returns
  None.

## ◆ setIs_print_as_image()

com.foxit.sdk.PrintParams.setIs_print_as_image | ( | boolean | value | ) |

Set true means that pages should be printed as image.

Parameters

  [in] | value | true means that pages should be printed as image.

Returns
  None.

## ◆ setIs_print_auto_center()

com.foxit.sdk.PrintParams.setIs_print_auto_center | ( | boolean | value | ) |

Set true means that each page is automatically centered relative to the paper.

Parameters

  [in] | value | true means that each page is automatically centered relative to the paper.

Returns
  None.

## ◆ setIs_print_auto_rotate()

com.foxit.sdk.PrintParams.setIs_print_auto_rotate | ( | boolean | value | ) |

Set true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing.

Parameters

  [in] | value | true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. false means not.

Returns
  None.

## ◆ setIs_print_page_border()

com.foxit.sdk.PrintParams.setIs_print_page_border | ( | boolean | value | ) |

Set a boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.

Parameters

  [in] | value | A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.

Returns
  None.

## ◆ setIs_reverse()

com.foxit.sdk.PrintParams.setIs_reverse | ( | boolean | value | ) |

Set true means that the printing order should be from parameter end to parameter start.

Parameters

  [in] | value | true means that the printing order should be from parameter end to parameter start.

Returns
  None.

## ◆ setIs_show_ui()

com.foxit.sdk.PrintParams.setIs_show_ui | ( | boolean | value | ) |

Set true means that a UI should be presented to the user to obtain printing information and confirm the action.

Parameters

  [in] | value | true means that a UI should be presented to the user to obtain printing information and confirm the action.

Returns
  None.

## ◆ setIs_simulate_overprinting()

com.foxit.sdk.PrintParams.setIs_simulate_overprinting | ( | boolean | value | ) |

Set true means to do overprint preview when printing.

Parameters

  [in] | value | true means to do overprint preview when printing. false means not.

Returns
  None.

## ◆ setIs_tile_label()

com.foxit.sdk.PrintParams.setIs_tile_label | ( | boolean | value | ) |

Set label each page of tiled output.

Parameters

  [in] | value | Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.

Returns
  None.

## ◆ setNum_copies()

com.foxit.sdk.PrintParams.setNum_copies | ( | int | value | ) |

Set the number of copies to be printed.

Parameters

  [in] | value | The number of copies to be printed.

Returns
  None.

## ◆ setNum_pages_h()

com.foxit.sdk.PrintParams.setNum_pages_h | ( | int | value | ) |

Set the number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.

Parameters

  [in] | value | The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.

Returns
  None.

## ◆ setNum_pages_v()

com.foxit.sdk.PrintParams.setNum_pages_v | ( | int | value | ) |

Set the number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.

Parameters

  [in] | value | The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.

Returns
  None.

## ◆ setOutput_file_name()

com.foxit.sdk.PrintParams.setOutput_file_name | ( | String | value | ) |

Set the device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).

Parameters

  [in] | value | The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).

Returns
  None.

## ◆ setPage_order()

com.foxit.sdk.PrintParams.setPage_order | ( | int | value | ) |

Set the value determines how the multiple pages are laid out on the sheet.

Parameters

  [in] | value | The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from com.foxit.sdk.PrintParams.e_PageOrderHorizontal and this should be one of these values.

Returns
  None.

## ◆ setPage_range()

com.foxit.sdk.PrintParams.setPage_range | ( | Range | value | ) |

Set a range object to specify the page range for printing.

Parameters

  [in] | value | A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.

Returns
  None.

## ◆ setPrint_content()

com.foxit.sdk.PrintParams.setPrint_content | ( | int | value | ) |

Set specif content for printing.

Parameters

  [in] | value | Specif content for printing. Please refer to values starting from com.foxit.sdk.PrintParams.e_PrintContentDocument and this should be one of these values.

Returns
  None.

## ◆ setPrinter_name()

com.foxit.sdk.PrintParams.setPrinter_name | ( | String | value | ) |

Set the default printer name for printing.

Parameters

  [in] | value | The default printer name for printing.

Returns
  None.

## ◆ setTile_mark()

com.foxit.sdk.PrintParams.setTile_mark | ( | boolean | value | ) |

Set true means to cut the page, and false means not.

Parameters

  [in] | value | true means to cut the page, and false means not.

Returns
  None.

## ◆ setTile_overlap()

com.foxit.sdk.PrintParams.setTile_overlap | ( | float | value | ) |

Set the number of points that tiled pages have in common.

Parameters

  [in] | value | The number of points that tiled pages have in common.

Returns
  None.

## ◆ setTile_scale()

com.foxit.sdk.PrintParams.setTile_scale | ( | float | value | ) |

Set the amount that tiled pages are scaled.

Parameters

  [in] | value | The amount that tiled pages are scaled.

Returns
  None.